history: Get node history

API: openstreetmap.org:openstreetmap-api
Endpoint: /node/{id}/history
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 208ms

Description

Returns all versions of a node including historical data

Parameters (1)

id (integer, path, required)

The node ID

Examples (1)

Get node history openapi-spec
curl 'https://api.openstreetmap.org/api/0.6/node/1/history'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/node/1/history")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("node/{id}/history")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/node/1/history");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 16:42:45.613590 200 208ms
2026-04-16 00:07:06.681651 200 287ms
2026-04-15 00:05:59.227948 200 236ms
2026-04-14 03:38:11.486724 200 228ms
2026-04-12 14:13:37.978027 200 192ms
2026-04-10 01:30:28.465886 200 201ms